Bug 112533 - "procinfo -a" = segmentation fault
"procinfo -a" = segmentation fault
Status: CLOSED DUPLICATE of bug 89176
Product: Red Hat Linux
Classification: Retired
Component: procinfo (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-22 09:22 EST by paulm
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description paulm 2003-12-22 09:22:02 EST
Description of problem: "procinfo -a" gives segmentation fault


Version-Release number of selected component (if applicable):
procinfo-18-8

How reproducible:
every time

Steps to Reproduce:
1. type "procinfo -a" on a system with 200+ serial devices
2.
3.
  
Actual results:
segmentation fault

Expected results:
extended procinfo display

Additional info:
procinfo by itself works fine.
procinfo -a works on other similar servers with less serial devices
Comment 1 paulm 2003-12-22 09:54:52 EST
Here is an strace of the problem (strace procinfo -a):

[root@famcare main]# strace procinfo -a
execve("/usr/bin/procinfo", ["procinfo", "-a"], [/* 20 vars */]) = 0
uname({sys="Linux", node="famcare", ...}) = 0
brk(0)                                  = 0x8051c80
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or 
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=24614, ...}) = 0
old_mmap(NULL, 24614, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libtermcap.so.2", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\r\0"..., 
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=11832, ...}) = 0
old_mmap(NULL, 14932, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4001a000
old_mmap(0x4001d000, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x2000) = 0x4001d000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\210U\1"..., 
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1377691, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4001e000
old_mmap(NULL, 1219172, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x4001f000
old_mmap(0x40141000, 24576, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED, 3, 0x121000) = 0x40141000
old_mmap(0x40147000, 6756, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40147000
close(3)                                = 0
munmap(0x40013000, 24614)               = 0
uname({sys="Linux", node="famcare", ...}) = 0
brk(0)                                  = 0x8051c80
brk(0x8052c80)                          = 0x8052c80
brk(0)                                  = 0x8052c80
brk(0x8053000)                          = 0x8053000
open("/proc/version", O_RDONLY)         = 3
open("/proc/uptime", O_RDONLY)          = 4
open("/proc/loadavg", O_RDONLY)         = 5
open("/proc/meminfo", O_RDONLY)         = 6
open("/proc/stat", O_RDONLY)            = 7
open("/proc/modules", O_RDONLY)         = 8
open("/proc/devices", O_RDONLY)         = 9
open("/proc/filesystems", O_RDONLY)     = 10
open("/proc/interrupts", O_RDONLY)      = 11
open("/proc/dma", O_RDONLY)             = 12
open("/proc/cmdline", O_RDONLY)         = 13
open("/etc/termcap", O_RDONLY)          = 14
fstat64(14, {st_mode=S_IFREG|0644, st_size=737635, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
_llseek(14, 0, [0], SEEK_SET)           = 0
read(14, "######## TERMINAL TYPE DESCRIPTI"..., 4096) = 4096
read(14, "GHTS AND OTHER DELUSIONS below)."..., 4096) = 4096
read(14, "equest (equiv. to VT100/ANSI/ECM"..., 4096) = 4096
read(14, "ill merely succeed in looking li"..., 4096) = 4096
read(14, "rol for ansi.sys displays (no ES"..., 4096) = 4096
read(14, "ets.\n#\n# There are very few term"..., 4096) = 4096
read(14, "4:tc=vanilla:tc=ansi+csr:tc=ansi"..., 4096) = 4096
read(14, "                          *\n# * "..., 4096) = 4096
read(14, "e+sgr:tc=ecma+color:\nlinux-m|Lin"..., 4096) = 4096
read(14, "%dM:SF=\\E[%dS:SR=\\E[%dT:ae=\\E[10"..., 4096) = 4096
brk(0)                                  = 0x8053000
brk(0x8054000)                          = 0x8054000
_llseek(14, 0, [0], SEEK_SET)           = 0
read(14, "######## TERMINAL TYPE DESCRIPTI"..., 4096) = 4096
read(14, "GHTS AND OTHER DELUSIONS below)."..., 4096) = 4096
read(14, "equest (equiv. to VT100/ANSI/ECM"..., 4096) = 4096
read(14, "ill merely succeed in looking li"..., 4096) = 4096
read(14, "rol for ansi.sys displays (no ES"..., 4096) = 4096
close(14)                               = 0
munmap(0x40013000, 4096)                = 0
ioctl(0, TIOCGWINSZ, {ws_row=24, ws_col=110, ws_xpixel=5, 
ws_ypixel=0}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=24, ws_col=110, ws_xpixel=5, 
ws_ypixel=0}) = 0
ioctl(1, TCGETS, {B9600 opost isig icanon echo ...}) = 0
uname({sys="Linux", node="famcare", ...}) = 0
uname({sys="Linux", node="famcare", ...}) = 0
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
_llseek(3, 0, [0], SEEK_SET)            = 0
read(3, "Linux version 2.4.20-20.7p21gsmp"..., 4096) = 138
open("/proc/cpuinfo", O_RDONLY)         = 14
fstat64(14, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000
read(14, "processor\t: 0\nvendor_id\t: Genuin"..., 4096) = 1796
read(14, "", 4096)                      = 0
close(14)                               = 0
munmap(0x40014000, 4096)                = 0
uname({sys="Linux", node="famcare", ...}) = 0
uname({sys="Linux", node="famcare", ...}) = 0
_llseek(3, 138, [138], SEEK_SET)        = 0
fstat64(7, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40014000
read(7, "cpu  235768 26531 473759 4541514"..., 4096) = 773
brk(0)                                  = 0x8054000
brk(0x8055000)                          = 0x8055000
open("/etc/localtime", O_RDONLY)        = 14
fstat64(14, {st_mode=S_IFREG|0644, st_size=1267, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000
read(14, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\0\0\0\4\0"..., 
4096) = 1267
close(14)                               = 0
munmap(0x40015000, 4096)                = 0
read(7, "", 4096)                       = 0
gettimeofday({1072104799, 66918}, NULL) = 0
close(4)                                = 0
open("/proc/uptime", O_RDONLY)          = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40015000
read(4, "13193.93 11718.79\n", 4096)    = 18
close(6)                                = 0
open("/proc/meminfo", O_RDONLY)         = 6
fstat64(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000
read(6, "        total:    used:    free:"..., 1024) = 661
close(6)                                = 0
munmap(0x40016000, 4096)                = 0
open("/proc/meminfo", O_RDONLY)         = 6
fstat64(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000
read(6, "        total:    used:    free:"..., 1024) = 661
read(6, "", 1024)                       = 0
close(6)                                = 0
munmap(0x40016000, 4096)                = 0
open("/proc/meminfo", O_RDONLY)         = 6
fstat64(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40016000
read(6, "        total:    used:    free:"..., 1024) = 661
read(6, "", 1024)                       = 0
fstat64(5, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40017000
_llseek(5, 0, [0], SEEK_SET)            = 0
read(5, "16.72 19.92 16.56 1/543 8646\n", 4096) = 29
read(5, "", 4096)                       = 0
_llseek(7, 0, [0], SEEK_SET)            = 0
read(7, "cpu  235768 26531 473759 4541514"..., 4096) = 773
read(7, "", 4096)                       = 0
fstat64(11, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40018000
_llseek(11, 0, [0], SEEK_SET)           = 0
read(11, "           CPU0       CPU1      "..., 4096) = 838
read(11, "", 4096)                      = 0
fstat64(12, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40019000
_llseek(12, 0, [0], SEEK_SET)           = 0
read(12, " 4: cascade\n", 4096)         = 12
read(12, "", 4096)                      = 0
fstat64(13, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40149000
read(13, "ro root=/dev/sda1\n", 4096)   = 18
fstat64(8, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4014a000
_llseek(8, 0, [0], SEEK_SET)            = 0
read(8, "ppp_deflate             4568   0"..., 4096) = 740
read(8, "", 4096)                       = 0
fstat64(9, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4014b000
_llseek(9, 0, [0], SEEK_SET)            = 0
read(9, "Character devices:\n  1 mem\n  2 p"..., 4096) = 479
read(9, "", 4096)                       = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 2 Mike A. Harris 2004-01-13 11:47:38 EST

*** This bug has been marked as a duplicate of 89176 ***
Comment 3 Mike A. Harris 2004-01-13 11:50:49 EST
Additional note:  Red Hat Linux 8.0 and all earlier OS releases
are no longer supported by Red Hat.  Before reporting bugs in
these older OS releases, please confirm wether the bug is still
present in currently supported OS releases.  In this case it is
still present however, so it will be addressed in a future OS
release, and possibly in errata for currently supported OS releases.

Comment 4 Red Hat Bugzilla 2006-02-21 14:00:29 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.